OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.KHR.NoError

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetKHRNoError :: MonadIO m => m Bool
- gl_KHR_no_error :: Bool
- gl_CONTEXT_FLAG_NO_ERROR_BIT_KHR :: GLbitfield

# Extension Support

glGetKHRNoError :: MonadIO m => m Bool

Is the KHR_no_error extension supported?

gl_KHR_no_error :: Bool

Is the KHR_no_error extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetKHRNoError` in those cases instead.

# Enums

gl_CONTEXT_FLAG_NO_ERROR_BIT_KHR :: GLbitfield